#!/bin/csh -f
#
#                   Author:   Joe Wulf - 20070309@18:30, Md.
#                             Copyright (C) 1997-2007, Joe Wulf
#
# "*--------------------------------------------------------------------------------------*"
# "|                                                                                      |"
# "|                             zlister.zbonus.FixFSPerms.csh                            |"
# "|                                                                                      |"
# "|  Companion tool to zlister for comprehensivly managing complete filesystem listings  |"
# "| ------------------------------------------------------------------------------------ |"
# "|                                                                                      |"
# "| These scripts are free software; you can redistribute and/or modify them under the   |"
# "| terms of the GNU General Public License as published by the Free Software            |"
# "| Foundation; either version 2 of the License, or (at your option) any later version.  |"
# "|                                                                                      |"
# "| This program is distributed in the hope that it will be useful, but WITHOUT ANY      |"
# "| WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A      |"
# "| PARTICULAR PURPOSE.  See the enclosed GNU General Public License for more details.   |"
# "|                                                                                      |"
# "*----------------------------------------------------[Copyright (C) 2007, Joe Wulf]----*"
#
# "*--------------------------------------------------------------------------------------*"
# "|                                                                                      |"
# "| Please send me your comments, suggestions and constructive critizisms.  All thoughts |"
# "| are welcome.  I WILL give you credit in the appropriate scripts as well as send you  |"
# "| the newest version.  Your efforts will improve this zlister project for everyone.    |"
# "| To contact me, please write me an email at Joe_Wulf@yahoo.com                        |"
# "|                                                                                      |"
# "| Thank you for your time (Joe Wulf)                                                   |"
# "|                                                                                      |"
# "*--------------------------------------------------------------------------------------*"
#
#
# This is a nice-to-have script to accompany zlister which will allow an administrator
#   to put permissions back to the way they were.  Using this script assumes that
#   zlister has already been executed and that the file containing the filesystem
#   listing contains the correct permissions, ownership and groupship.
# Assuming those are true, zcat the filesystem listing to a flat file; then use that
#   flat filename as the argument to this script.

#
# Might be able to use the same SAGREP logic to 'find' the last/most current standard
# file, and auto-generate output in the current directory.

# $1 must be the (/path/)filename of already parsed zlister input.

echo "Now building the script of stuff to change for each file..."
rm -rf $1.FixPerms >& /dev/null
touch $1.FixPerms
awk  -f /sysadmin/zlister.bin/zlister.zbonus.FixFSPerms.awk  OutFile=$1.FixPerms $1
chmod 700 $1.FixPerms
chown   0 $1.FixPerms
chgrp   0 $1.FixPerms

echo " "
echo "($1.FixPerms) script is built."
ls -la $1.FixPerms
